#!/usr/bin/perl

my $EV_VERSION              = 0x010001;
my $INPUT_PROP_POINTER      = 0x00;
my $INPUT_PROP_DIRECT       = 0x01;
my $INPUT_PROP_SEMI_MT      = 0x03;
my $INPUT_PROP_MAX          = 0x1f;
my $EV_SYN                  = 0x00;
my $EV_KEY                  = 0x01;
my $EV_REL                  = 0x02;
my $EV_ABS                  = 0x03;
my $EV_MSC                  = 0x04;
my $EV_SW                   = 0x05;
my $EV_LED                  = 0x11;
my $EV_SND                  = 0x12;
my $EV_REP                  = 0x14;
my $EV_FF                   = 0x15;
my $EV_PWR                  = 0x16;
my $EV_FF_STATUS            = 0x17;
my $EV_MAX                  = 0x1f;
my $BTN_MISC                = 0x100;
my $BTN_0                   = 0x100;
my $BTN_1                   = 0x101;
my $BTN_2                   = 0x102;
my $BTN_3                   = 0x103;
my $BTN_4                   = 0x104;
my $BTN_5                   = 0x105;
my $BTN_6                   = 0x106;
my $BTN_7                   = 0x107;
my $BTN_8                   = 0x108;
my $BTN_9                   = 0x109;
my $BTN_MOUSE               = 0x110;
my $BTN_LEFT                = 0x110;
my $BTN_RIGHT               = 0x111;
my $BTN_MIDDLE              = 0x112;
my $BTN_SIDE                = 0x113;
my $BTN_EXTRA               = 0x114;
my $BTN_FORWARD             = 0x115;
my $BTN_BACK                = 0x116;
my $BTN_TASK                = 0x117;
my $BTN_JOYSTICK            = 0x120;
my $BTN_TRIGGER             = 0x120;
my $BTN_THUMB               = 0x121;
my $BTN_THUMB2              = 0x122;
my $BTN_TOP                 = 0x123;
my $BTN_TOP2                = 0x124;
my $BTN_PINKIE              = 0x125;
my $BTN_BASE                = 0x126;
my $BTN_BASE2               = 0x127;
my $BTN_BASE3               = 0x128;
my $BTN_BASE4               = 0x129;
my $BTN_BASE5               = 0x12a;
my $BTN_BASE6               = 0x12b;
my $BTN_DEAD                = 0x12f;
my $BTN_GAMEPAD             = 0x130;
my $BTN_A                   = 0x130;
my $BTN_B                   = 0x131;
my $BTN_C                   = 0x132;
my $BTN_X                   = 0x133;
my $BTN_Y                   = 0x134;
my $BTN_Z                   = 0x135;
my $BTN_TL                  = 0x136;
my $BTN_TR                  = 0x137;
my $BTN_TL2                 = 0x138;
my $BTN_TR2                 = 0x139;
my $BTN_SELECT              = 0x13a;
my $BTN_START               = 0x13b;
my $BTN_MODE                = 0x13c;
my $BTN_THUMBL              = 0x13d;
my $BTN_THUMBR              = 0x13e;
my $BTN_DIGI                = 0x140;
my $BTN_TOOL_PEN            = 0x140;
my $BTN_TOOL_RUBBER         = 0x141;
my $BTN_TOOL_BRUSH          = 0x142;
my $BTN_TOOL_PENCIL         = 0x143;
my $BTN_TOOL_AIRBRUSH       = 0x144;
my $BTN_TOOL_FINGER         = 0x145;
my $BTN_TOOL_MOUSE          = 0x146;
my $BTN_TOOL_LENS           = 0x147;
my $BTN_TOOL_QUINTTAP       = 0x148;
my $BTN_TOUCH               = 0x14a;
my $BTN_STYLUS              = 0x14b;
my $BTN_STYLUS2             = 0x14c;
my $BTN_TOOL_DOUBLETAP      = 0x14d;
my $BTN_TOOL_TRIPLETAP      = 0x14e;
my $BTN_TOOL_QUADTAP        = 0x14f;
my $BTN_WHEEL               = 0x150;
my $BTN_GEAR_DOWN           = 0x150;
my $BTN_GEAR_UP             = 0x151;
my $KEY_OK                  = 0x160;
my $KEY_SELECT              = 0x161;
my $KEY_GOTO                = 0x162;
my $KEY_CLEAR               = 0x163;
my $KEY_POWER2              = 0x164;
my $KEY_OPTION              = 0x165;
my $KEY_INFO                = 0x166;
my $KEY_TIME                = 0x167;
my $KEY_VENDOR              = 0x168;
my $KEY_ARCHIVE             = 0x169;
my $KEY_PROGRAM             = 0x16a;
my $KEY_CHANNEL             = 0x16b;
my $KEY_FAVORITES           = 0x16c;
my $KEY_EPG                 = 0x16d;
my $KEY_PVR                 = 0x16e;
my $KEY_MHP                 = 0x16f;
my $KEY_LANGUAGE            = 0x170;
my $KEY_TITLE               = 0x171;
my $KEY_SUBTITLE            = 0x172;
my $KEY_ANGLE               = 0x173;
my $KEY_ZOOM                = 0x174;
my $KEY_MODE                = 0x175;
my $KEY_KEYBOARD            = 0x176;
my $KEY_SCREEN              = 0x177;
my $KEY_PC                  = 0x178;
my $KEY_TV                  = 0x179;
my $KEY_TV2                 = 0x17a;
my $KEY_VCR                 = 0x17b;
my $KEY_VCR2                = 0x17c;
my $KEY_SAT                 = 0x17d;
my $KEY_SAT2                = 0x17e;
my $KEY_CD                  = 0x17f;
my $KEY_TAPE                = 0x180;
my $KEY_RADIO               = 0x181;
my $KEY_TUNER               = 0x182;
my $KEY_PLAYER              = 0x183;
my $KEY_TEXT                = 0x184;
my $KEY_DVD                 = 0x185;
my $KEY_AUX                 = 0x186;
my $KEY_MP3                 = 0x187;
my $KEY_AUDIO               = 0x188;
my $KEY_VIDEO               = 0x189;
my $KEY_DIRECTORY           = 0x18a;
my $KEY_LIST                = 0x18b;
my $KEY_MEMO                = 0x18c;
my $KEY_CALENDAR            = 0x18d;
my $KEY_RED                 = 0x18e;
my $KEY_GREEN               = 0x18f;
my $KEY_YELLOW              = 0x190;
my $KEY_BLUE                = 0x191;
my $KEY_CHANNELUP           = 0x192;
my $KEY_CHANNELDOWN         = 0x193;
my $KEY_FIRST               = 0x194;
my $KEY_LAST                = 0x195;
my $KEY_AB                  = 0x196;
my $KEY_NEXT                = 0x197;
my $KEY_RESTART             = 0x198;
my $KEY_SLOW                = 0x199;
my $KEY_SHUFFLE             = 0x19a;
my $KEY_BREAK               = 0x19b;
my $KEY_PREVIOUS            = 0x19c;
my $KEY_DIGITS              = 0x19d;
my $KEY_TEEN                = 0x19e;
my $KEY_TWEN                = 0x19f;
my $KEY_VIDEOPHONE          = 0x1a0;
my $KEY_GAMES               = 0x1a1;
my $KEY_ZOOMIN              = 0x1a2;
my $KEY_ZOOMOUT             = 0x1a3;
my $KEY_ZOOMRESET           = 0x1a4;
my $KEY_WORDPROCESSOR       = 0x1a5;
my $KEY_EDITOR              = 0x1a6;
my $KEY_SPREADSHEET         = 0x1a7;
my $KEY_GRAPHICSEDITOR      = 0x1a8;
my $KEY_PRESENTATION        = 0x1a9;
my $KEY_DATABASE            = 0x1aa;
my $KEY_NEWS                = 0x1ab;
my $KEY_VOICEMAIL           = 0x1ac;
my $KEY_ADDRESSBOOK         = 0x1ad;
my $KEY_MESSENGER           = 0x1ae;
my $KEY_SPELLCHECK          = 0x1b0;
my $KEY_LOGOFF              = 0x1b1;
my $KEY_DOLLAR              = 0x1b2;
my $KEY_EURO                = 0x1b3;
my $KEY_FRAMEBACK           = 0x1b4;
my $KEY_FRAMEFORWARD        = 0x1b5;
my $KEY_CONTEXT_MENU        = 0x1b6;
my $KEY_MEDIA_REPEAT        = 0x1b7;
my $KEY_IMAGES              = 0x1ba;
my $KEY_DEL_EOL             = 0x1c0;
my $KEY_DEL_EOS             = 0x1c1;
my $KEY_INS_LINE            = 0x1c2;
my $KEY_DEL_LINE            = 0x1c3;
my $KEY_FN                  = 0x1d0;
my $KEY_FN_ESC              = 0x1d1;
my $KEY_FN_F1               = 0x1d2;
my $KEY_FN_F2               = 0x1d3;
my $KEY_FN_F3               = 0x1d4;
my $KEY_FN_F4               = 0x1d5;
my $KEY_FN_F5               = 0x1d6;
my $KEY_FN_F6               = 0x1d7;
my $KEY_FN_F7               = 0x1d8;
my $KEY_FN_F8               = 0x1d9;
my $KEY_FN_F9               = 0x1da;
my $KEY_FN_F10              = 0x1db;
my $KEY_FN_F11              = 0x1dc;
my $KEY_FN_F12              = 0x1dd;
my $KEY_FN_1                = 0x1de;
my $KEY_FN_2                = 0x1df;
my $KEY_FN_D                = 0x1e0;
my $KEY_FN_E                = 0x1e1;
my $KEY_FN_F                = 0x1e2;
my $KEY_FN_S                = 0x1e3;
my $KEY_FN_B                = 0x1e4;
my $KEY_BRL_DOT1            = 0x1f1;
my $KEY_BRL_DOT2            = 0x1f2;
my $KEY_BRL_DOT3            = 0x1f3;
my $KEY_BRL_DOT4            = 0x1f4;
my $KEY_BRL_DOT5            = 0x1f5;
my $KEY_BRL_DOT6            = 0x1f6;
my $KEY_BRL_DOT7            = 0x1f7;
my $KEY_BRL_DOT8            = 0x1f8;
my $KEY_BRL_DOT9            = 0x1f9;
my $KEY_BRL_DOT10           = 0x1fa;
my $KEY_NUMERIC_0           = 0x200;
my $KEY_NUMERIC_1           = 0x201;
my $KEY_NUMERIC_2           = 0x202;
my $KEY_NUMERIC_3           = 0x203;
my $KEY_NUMERIC_4           = 0x204;
my $KEY_NUMERIC_5           = 0x205;
my $KEY_NUMERIC_6           = 0x206;
my $KEY_NUMERIC_7           = 0x207;
my $KEY_NUMERIC_8           = 0x208;
my $KEY_NUMERIC_9           = 0x209;
my $KEY_NUMERIC_STAR        = 0x20a;
my $KEY_NUMERIC_POUND       = 0x20b;
my $KEY_CAMERA_FOCUS        = 0x210;
my $KEY_WPS_BUTTON          = 0x211;
my $KEY_TOUCHPAD_TOGGLE     = 0x212;
my $KEY_TOUCHPAD_ON         = 0x213;
my $KEY_TOUCHPAD_OFF        = 0x214;
my $KEY_CAMERA_ZOOMIN       = 0x215;
my $KEY_CAMERA_ZOOMOUT      = 0x216;
my $KEY_CAMERA_UP           = 0x217;
my $KEY_CAMERA_DOWN         = 0x218;
my $KEY_CAMERA_LEFT         = 0x219;
my $KEY_CAMERA_RIGHT        = 0x21a;
my $BTN_TRIGGER_HAPPY       = 0x2c0;
my $BTN_TRIGGER_HAPPY1      = 0x2c0;
my $BTN_TRIGGER_HAPPY2      = 0x2c1;
my $BTN_TRIGGER_HAPPY3      = 0x2c2;
my $BTN_TRIGGER_HAPPY4      = 0x2c3;
my $BTN_TRIGGER_HAPPY5      = 0x2c4;
my $BTN_TRIGGER_HAPPY6      = 0x2c5;
my $BTN_TRIGGER_HAPPY7      = 0x2c6;
my $BTN_TRIGGER_HAPPY8      = 0x2c7;
my $BTN_TRIGGER_HAPPY9      = 0x2c8;
my $BTN_TRIGGER_HAPPY10     = 0x2c9;
my $BTN_TRIGGER_HAPPY11     = 0x2ca;
my $BTN_TRIGGER_HAPPY12     = 0x2cb;
my $BTN_TRIGGER_HAPPY13     = 0x2cc;
my $BTN_TRIGGER_HAPPY14     = 0x2cd;
my $BTN_TRIGGER_HAPPY15     = 0x2ce;
my $BTN_TRIGGER_HAPPY16     = 0x2cf;
my $BTN_TRIGGER_HAPPY17     = 0x2d0;
my $BTN_TRIGGER_HAPPY18     = 0x2d1;
my $BTN_TRIGGER_HAPPY19     = 0x2d2;
my $BTN_TRIGGER_HAPPY20     = 0x2d3;
my $BTN_TRIGGER_HAPPY21     = 0x2d4;
my $BTN_TRIGGER_HAPPY22     = 0x2d5;
my $BTN_TRIGGER_HAPPY23     = 0x2d6;
my $BTN_TRIGGER_HAPPY24     = 0x2d7;
my $BTN_TRIGGER_HAPPY25     = 0x2d8;
my $BTN_TRIGGER_HAPPY26     = 0x2d9;
my $BTN_TRIGGER_HAPPY27     = 0x2da;
my $BTN_TRIGGER_HAPPY28     = 0x2db;
my $BTN_TRIGGER_HAPPY29     = 0x2dc;
my $BTN_TRIGGER_HAPPY30     = 0x2dd;
my $BTN_TRIGGER_HAPPY31     = 0x2de;
my $BTN_TRIGGER_HAPPY32     = 0x2df;
my $BTN_TRIGGER_HAPPY33     = 0x2e0;
my $BTN_TRIGGER_HAPPY34     = 0x2e1;
my $BTN_TRIGGER_HAPPY35     = 0x2e2;
my $BTN_TRIGGER_HAPPY36     = 0x2e3;
my $BTN_TRIGGER_HAPPY37     = 0x2e4;
my $BTN_TRIGGER_HAPPY38     = 0x2e5;
my $BTN_TRIGGER_HAPPY39     = 0x2e6;
my $BTN_TRIGGER_HAPPY40     = 0x2e7;
my $KEY_MAX                 = 0x2ff;
my $REL_X                   = 0x00;
my $REL_Y                   = 0x01;
my $REL_Z                   = 0x02;
my $REL_RX                  = 0x03;
my $REL_RY                  = 0x04;
my $REL_RZ                  = 0x05;
my $REL_HWHEEL              = 0x06;
my $REL_DIAL                = 0x07;
my $REL_WHEEL               = 0x08;
my $REL_MISC                = 0x09;
my $REL_MAX                 = 0x0f;
my $ABS_X                   = 0x00;
my $ABS_Y                   = 0x01;
my $ABS_Z                   = 0x02;
my $ABS_RX                  = 0x03;
my $ABS_RY                  = 0x04;
my $ABS_RZ                  = 0x05;
my $ABS_THROTTLE            = 0x06;
my $ABS_RUDDER              = 0x07;
my $ABS_WHEEL               = 0x08;
my $ABS_GAS                 = 0x09;
my $ABS_BRAKE               = 0x0a;
my $ABS_HAT0X               = 0x10;
my $ABS_HAT0Y               = 0x11;
my $ABS_HAT1X               = 0x12;
my $ABS_HAT1Y               = 0x13;
my $ABS_HAT2X               = 0x14;
my $ABS_HAT2Y               = 0x15;
my $ABS_HAT3X               = 0x16;
my $ABS_HAT3Y               = 0x17;
my $ABS_PRESSURE            = 0x18;
my $ABS_DISTANCE            = 0x19;
my $ABS_TILT_X              = 0x1a;
my $ABS_TILT_Y              = 0x1b;
my $ABS_TOOL_WIDTH          = 0x1c;
my $ABS_VOLUME              = 0x20;
my $ABS_MISC                = 0x28;
my $ABS_MT_SLOT             = 0x2f;
my $ABS_MT_TOUCH_MAJOR      = 0x30;
my $ABS_MT_WIDTH_MAJOR      = 0x32;
my $ABS_MT_ORIENTATION      = 0x34;
my $ABS_MT_POSITION_X       = 0x35;
my $ABS_MT_POSITION_Y       = 0x36;
my $ABS_MT_TOOL_TYPE        = 0x37;
my $ABS_MT_BLOB_ID          = 0x38;
my $ABS_MT_TRACKING_ID      = 0x39;
my $ABS_MT_PRESSURE         = 0x3a;
my $ABS_MT_DISTANCE         = 0x3b;
my $ABS_MAX                 = 0x3f;
my $SW_LID                  = 0x00;
my $SW_TABLET_MODE          = 0x01;
my $SW_HEADPHONE_INSERT     = 0x02;
my $SW_RFKILL_ALL           = 0x03;
my $SW_MICROPHONE_INSERT    = 0x04;
my $SW_DOCK                 = 0x05;
my $SW_LINEOUT_INSERT       = 0x06;
my $SW_JACK_PHYSICAL_INSERT = 0x07;
my $SW_VIDEOOUT_INSERT      = 0x08;
my $SW_CAMERA_LENS_COVER    = 0x09;
my $SW_KEYPAD_SLIDE         = 0x0a;
my $SW_FRONT_PROXIMITY      = 0x0b;
my $SW_ROTATE_LOCK          = 0x0c;
my $SW_LINEIN_INSERT        = 0x0d;
my $SW_MAX                  = 0x0f;
my $MSC_SERIAL              = 0x00;
my $MSC_PULSELED            = 0x01;
my $MSC_GESTURE             = 0x02;
my $MSC_RAW                 = 0x03;
my $MSC_SCAN                = 0x04;
my $MSC_MAX                 = 0x07;
my $LED_NUML                = 0x00;
my $LED_CAPSL               = 0x01;
my $LED_SCROLLL             = 0x02;
my $LED_COMPOSE             = 0x03;
my $LED_KANA                = 0x04;
my $LED_SLEEP               = 0x05;
my $LED_SUSPEND             = 0x06;
my $LED_MUTE                = 0x07;
my $LED_MISC                = 0x08;
my $LED_MAIL                = 0x09;
my $LED_CHARGING            = 0x0a;
my $LED_MAX                 = 0x0f;
my $REP_DELAY               = 0x00;
my $REP_PERIOD              = 0x01;
my $REP_MAX                 = 0x01;
my $SND_CLICK               = 0x00;
my $SND_BELL                = 0x01;
my $SND_TONE                = 0x02;
my $SND_MAX                 = 0x07;
my $BUS_PCI                 = 0x01;
my $BUS_ISAPNP              = 0x02;
my $BUS_USB                 = 0x03;
my $BUS_HIL                 = 0x04;
my $BUS_BLUETOOTH           = 0x05;
my $BUS_VIRTUAL             = 0x06;
my $BUS_ISA                 = 0x10;
my $BUS_I8042               = 0x11;
my $BUS_XTKBD               = 0x12;
my $BUS_RS232               = 0x13;
my $BUS_GAMEPORT            = 0x14;
my $BUS_PARPORT             = 0x15;
my $BUS_AMIGA               = 0x16;
my $BUS_ADB                 = 0x17;
my $BUS_I2C                 = 0x18;
my $BUS_HOST                = 0x19;
my $BUS_GSC                 = 0x1A;
my $BUS_ATARI               = 0x1B;
my $BUS_SPI                 = 0x1C;
my $FF_STATUS_STOPPED       = 0x00;
my $FF_STATUS_PLAYING       = 0x01;
my $FF_STATUS_MAX           = 0x01;
my $FF_RUMBLE               = 0x50;
my $FF_PERIODIC             = 0x51;
my $FF_CONSTANT             = 0x52;
my $FF_SPRING               = 0x53;
my $FF_FRICTION             = 0x54;
my $FF_DAMPER               = 0x55;
my $FF_INERTIA              = 0x56;
my $FF_RAMP                 = 0x57;
my $FF_SQUARE               = 0x58;
my $FF_TRIANGLE             = 0x59;
my $FF_SINE                 = 0x5a;
my $FF_SAW_UP               = 0x5b;
my $FF_SAW_DOWN             = 0x5c;
my $FF_CUSTOM               = 0x5d;
my $FF_GAIN                 = 0x60;
my $FF_AUTOCENTER           = 0x61;
my $FF_MAX                  = 0x7f;


1;
